import type { HOVER_COLUMN_KEY } from './constants';
export declare const locale: import("svelte/store").Writable<string>;
export declare const debugWarnings: import("svelte/store").Writable<boolean>;
export declare const createStickyStores: () => {
    stickyColumnsOffset: import("svelte/store").Readable<Map<string | typeof HOVER_COLUMN_KEY, number>>;
    stickyColumnsWidth: {
        updateColumn: (key: string | typeof HOVER_COLUMN_KEY, width: number) => void;
        reset: () => void;
        subscribe: (this: void, run: import("svelte/store").Subscriber<Map<string | typeof HOVER_COLUMN_KEY, number>>, invalidate?: ((value?: Map<string | typeof HOVER_COLUMN_KEY, number> | undefined) => void) | undefined) => import("svelte/store").Unsubscriber;
    };
    lastStickyColumn: import("svelte/store").Readable<string | typeof HOVER_COLUMN_KEY | undefined>;
    isHorizontallyScrolled: import("svelte/store").Writable<boolean>;
};
